Name: notification-daemon
Version: 0.3.7
Release: alt1

Summary: Desktop Notification Daemon
Group: Graphical desktop/GNOME
License: GPL
URL: http://trac.galago-project.org/wiki/DesktopNotifications

Source: http://www.galago-project.org/files/releases/source/notification-daemon-%version.tar.bz2

BuildPrereq: libdbus-devel >= 0.50
BuildPrereq: libGConf-devel >= 2.0
Requires: dbus >= 0.50

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Thu Apr 05 2007
#BuildRequires: gcc-c++ gcc-fortran GConf glibc-devel-static gnome-common intltool libdbus-glib-devel libGConf-devel libsexy-devel libstartup-notification libwnck-devel libxml2-devel packages-info-i18n-common termutils
BuildRequires: gcc-c++ GConf gnome-common intltool libdbus-glib-devel libGConf-devel libsexy-devel libstartup-notification libwnck-devel libxml2-devel termutils

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications specification
(http://www.galago-project.org/specs/notification/index.php).

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
    --disable-schemas-install \
    --disable-static
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Remove non-packaged files
rm -f %buildroot%_libdir/notification-daemon-1.0/engines/*.la

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README
%_libexecdir/%name
%_libdir/notification-daemon-1.0
%_datadir/dbus-1/services/*
%_sysconfdir/gconf/schemas/%name.schemas

%changelog
* Mon Mar 26 2007 Igor Zubkov <icesik@altlinux.org> 0.3.7-alt1
- 0.3.5 -> 0.3.7
- buildreq

* Wed Sep 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.5-alt2
- Run autogen.sh
- Buildreq

* Sat May 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.5-alt1.1
- Major spec cleanup
- Use Sisyphus macros for GConf schemas installation
- Updated URLs

* Thu May 04 2006 Vital Khilko <vk@altlinux.ru> 0.3.5-alt1
- 0.3.5

* Thu Feb 02 2006 Vital Khilko <vk@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Sun Sep 18 2005 Vital Khilko <vk@altlinux.ru> 0.2.1-alt1
- initial build

